/// <reference types="react" />
import * as React$1 from 'react';
import React__default from 'react';

interface NavigationProps {
    leftMenu: React.ReactNode;
    rightBtnOnClick: () => void;
    title1: string;
    title2: string;
    title3: string;
    link1: string;
    link2: string;
}

/**
 * Navigation bar component with three links, a logo, and a right aligned button
 * Storybook component (url): TODO
 */
declare const Navigation: ({ leftMenu, rightBtnOnClick, title1, title2, title3, link1, link2, }: NavigationProps) => JSX.Element;

interface Props {
    children: React__default.ReactNode;
    customTheme: any;
}
/**
 * Componet that wraps its child in a ChakraProvider and inits ChakraUI for all its children
 * @param children
 * @param customTheme
 * @returns ReactJSXElement
 */
declare const Chakra: React__default.FC<Props>;

declare const Test: React$1.FC;

declare const theme: {
    breakpoints: {
        sm: string;
        md: string;
        ml: string;
        lg: string;
        x: string;
        xl: string;
        '2xl': string;
    };
    colors: {
        brand: {
            blue: string;
            lightBlue: string;
            background: string;
            black: string;
            grey: string;
        };
        main: {};
    };
    fontSizes: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
        '2xl': string;
        '3xl': string;
        '4xl': string;
        '5xl': string;
        '6xl': string;
        '7xl': string;
        '8xl': string;
        '9xl': string;
    };
};

export { Chakra, Navigation, theme as PorttTheme, Test };
